XtAppAddTimeOut(3Xt)

NAME
XtAppAddTimeOut, XtRemoveTimeOut - register and remove timeouts

SYNTAX
XtIntervalId XtAppAddTimeOut(app_context, interval, proc, client_data)
      XtAppContext app_context;
      unsigned long interval;
      XtTimerCallbackProc proc;
      XtPointer client_data;

void XtRemoveTimeOut(timer)
      XtIntervalId timer;

ARGUMENTS

app_context
    Specifies the application context for which the timer is to be set.

client_data
    Specifies the argument that is to be passed to the specified procedure when .

interval
    Specifies the time interval in milliseconds.

proc
    Specifies the procedure that is to be called when time expires.

timer
    Specifies the ID for the timeout request to be destroyed.

DESCRIPTION
The function creates a timeout and returns an identifier for it. The timeout value is set to interval. The callback procedure is called when the time interval elapses, and then the timeout is removed.

The function removes the timeout. Note that timeouts are automatically removed once they trigger.

SEE ALSO
XtAppAddInput(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface